%global momorel 4
Summary: perl-PlRPC module for perl
Name: perl-PlRPC
Version: 0.2017
Release: %{momorel}m
License: GPL or Artistic
Group: 	Development/Languages
Source0: http://www.cpan.org/modules/by-module/RPC/PlRPC-%{version}.tar.gz
NoSource: 0
URL: http://www.cpan.org/modules/by-module/RPC/
BuildPreReq: perl >= 5.8.5
BuildPreReq: perl-Net-Daemon >= 0.37-4m
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
libwww-perl module for perl

%prep
%setup -q -n PlRPC-%{version}

%build
CFLAGS="%optflags" perl Makefile.PL
make
make test

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm -f %{buildroot}%{perl_sitearch}/auto/RPC/PlServer/.packlist

%clean 
rm -rf %{buildroot}

%changelog
* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.2017-4m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.2017-3m)
- remove Epoch from BuildPrereq

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (0.2017-2m)
- revised spec for rpm 4.2.

* Sun Nov 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.2017-1m)

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2016-7m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.2016-6m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (0.2016-5m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Sat Nov 30 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2016-4m)
- add BuildPreReq: perl-Net-Daemon

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.2016-3m)
- rebuild against perl-5.8.0

* Thu Feb 28 2002 Shingo Akagaki <dora@kondara.org>
- (0.2016-2k)
- create

%files
%defattr(-,root,root)
%doc README ChangeLog
%{_mandir}/man?/*
%{perl_sitelib}/RPC
%{perl_sitelib}/Bundle/*.pm
